apiVersion: extensions/v1beta1
kind: Ingress
metadata:
  name: {{ .Values.appName }}
  annotations:
    kubernetes.io/ingress.class: "nginx"
    kubernetes.io/tls-acme: "true"
    # A CHANGER
    cert-manager.io/issuer: 'owapi-letsencrypt-prod'
    ingress.kubernetes.io/ssl-redirect: 'true'
  labels:
    app: {{ .Values.appName }}
spec:
  rules:
  - host: {{ .Values.config.nginx.serverName }}
    http:
      paths:
      - path: /
        backend:
          serviceName: nginx
          servicePort: http
  tls:
  - hosts:
    - {{ .Values.config.nginx.serverName }}
    secretName: {{ .Values.appName }}-tls
